import { PublicConfigClass } from '@/packages/public'
import { FeatureMenuConfig } from './index'
import { CreateComponentType } from '@/packages/index.d'
import cloneDeep from 'lodash/cloneDeep'
import dataJson from './data.json'

const option = {
  list: [
    '现场标绘','任务下发','路线规划'
  ],
  selectButton: '现场标绘',
}

export default class Config extends PublicConfigClass implements CreateComponentType {
  public key: string = FeatureMenuConfig.key
  public chartConfig = cloneDeep(FeatureMenuConfig)
  public option = cloneDeep(option)
  constructor() {
    super(); 
    this.attr.w = 348; 
    this.attr.h = 38;
    this.isChildEvent = true
    this.events.interactConfigEvents = {}
  }
}
